Subject: Raw socket access
From: Olivier Marce <[email-masked]>
To: [email-masked]
Date: Tue, 05 Oct 1999 17:31:16 +0200

Hello Cygwiners

I'm trying to open a raw socket in a C program compiled in Cygwin, on NT4.0

Unfortunately, the raw socket is accessible only for administrator, not
from users (I get back a "nor owner" error message).

On the other hand, it seems that if I would use winsock function I could 
open a raw socket (it is what I deduced from the  examples
from the very comprehensive Winsock programmer's  FAQ - thanks !)
Am I right ?
If so, how is it possible to use winsock socket functions (WSASocket()) rather
than 
cygwin ones (socket()).
In addition my code must be wrapped as a DLL becauseI want to call these
functions
from Java, as native functions.

My objective is to developp a ICMP Java class.

Thanks a lot for any hints.

-- 
Olivier Marce (UAA/GSA)
Alcatel CRC				Tel: +33 (0) 1 69 63 41 67
Route de Nozay			  	Fax: +33 (0) 1 69 63 17 89
F-91461 Marcoussis Cedex (France)

--
Want to unsubscribe from this list?
Send a message to [email-masked]